
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android获取ROOT权限的实例代码_Android / iVAN</title>

    <meta name="description" content="Android获取ROOT权限的实例代码_Android 获取Android的ROOT权限其实很简单,只要在Runtime下执行命令&quot;su&quot;就可以了. 复制代码 代码如下: // 获取ROOT权限public void get_root(){     if (is_root()){        Toast.makeText(mCtx, &quot;已经具有ROOT权限!&quot;, Toast.LENGTH_LONG).show();    }    else{        try{            progress_d ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android获取ROOT权限的实例代码_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>获取Android的ROOT权限其实很简单，只要在Runtime下执行命令"su"就可以了。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>// 获取ROOT权限<br />public void get_root(){</p>
<p>    if (is_root()){<br />        Toast.makeText(mCtx, "已经具有ROOT权限!", Toast.LENGTH_LONG).show();<br />    }<br />    else{<br />        try{<br />            progress_dialog = ProgressDialog.show(mCtx, <br />                    "ROOT", "正在获取ROOT权限...", true, false);<br />            Runtime.getRuntime().exec("su");<br />        }<br />        catch (Exception e){<br />            Toast.makeText(mCtx, "获取ROOT权限时出错!", Toast.LENGTH_LONG).show();<br />        }<br />    }</p>
<p>}</p>
<p>其中is_root()判断是否已经具有了ROOT权限。只要/system/bin/su、/system/xbin/su这两个文件中有一个存在，就表明已经具有ROOT权限，如果两个都不存在，则不具有ROOT权限。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>// 判断是否具有ROOT权限<br />public static boolean is_root(){</p>
<p>    boolean res = false;</p>
<p>    try{ <br />        if ((!new File("/system/bin/su").exists()) &amp;&amp; <br />            (!new File("/system/xbin/su").exists())){<br />        res = false;<br />    } <br />    else {<br />        res = true;<br />    };<br />    } <br />    catch (Exception e) { </p>
<p>    } <br />    return res;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 11:34:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/root%e6%9d%83%e9%99%90/" title="root权限">root权限</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android获取ROOT权限的实例代码_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9J7VRp.html" rel="bookmark">Android获取ROOT权限的实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				获取Android的ROOT权限其实很简单,只要在Runtime下执行命令&quot;su&quot;就可以了. 复制代码 代码如下:// 获取ROOT权限public void get_root(){ if (is_root()){        Toast.makeText(mCtx, &quot;已经具有ROOT权限!&quot;, Toast.LENGTH_LONG).show();    }    else{        try{            progress_dialog = Pr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLa6dZz.html" rel="bookmark">Android 操作系统获取Root权限 原理详细解析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				android root权限破解分析 许多机友新购来的Android机器没有破解过Root权限,无法使用一些需要高权限的软件,以及进行一些高权限的操作,其实破解手机Root权限是比较简单及安全的,破解Root权限的原理就是在手机的/system/bin/或/system/xbin/目录下放置一个可执行文件&quot;su&quot;,这是一个二进制文件,相当于电脑上的exe文件,仅仅在系统中置入这个&quot;su&quot;文件是不会给手机的软件或硬件造成任何故障. 下面的代码是android系统原版的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY5a6b.html" rel="bookmark">Android 底部导航控件实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.先给大家展示下最终效果 通过以上可以看到,图一是简单的使用,图二.图三中为结合ViewPager共同使用,而且都可以随ViewPager的滑动渐变色,不同点是图二为选中非选中两张图片,图三的选中非选中是一张图片只是做了颜色变化. 二. 需求 我们希望做可以做成这样的,可以在xml布局中引入控件并绑定数据,在代码中设置监听回调,并且配置使用要非常简单! 三.需求分析 根据我们多年做不明确需求项目的经验,以上需求还算明确.那么我们可以采用在LinearLayout添加子View控件,这个子Vie			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmrPmz.html" rel="bookmark">Andriod 获取电池的信息实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				具体代码如下所示: &lt;?xml version=&quot;1.0&quot;?&gt; &lt;LinearLayout android:orientation=&quot;vertical&quot; android:layout_height=&quot;match_parent&quot; android:layout_width=&quot;match_parent&quot; xmlns:tools=&quot;http://schemas.android.com/tools&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOWLyxz.html" rel="bookmark">Android 动态添加Fragment的实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.fragment1布局及代码 布局 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; xmlns:tools=&quot;http://schemas.android.com/tools&quot; android:layout_width=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXxQkvp.html" rel="bookmark">Android自定义控件下拉刷新实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现效果: 图片素材: --&gt; 首先, 写先下拉刷新时的刷新布局 pull_to_refresh.xml: &lt;resources&gt; &lt;string name=&quot;app_name&quot;&gt;PullToRefreshTest&lt;/string&gt; &lt;string name=&quot;pull_to_refresh&quot;&gt;下拉可以刷新&lt;/string&gt; &lt;string name=&quot;release_to_refre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M92Vdgp.html" rel="bookmark">Android okhttputils现在进度显示实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				OkHttpUtils是一款封装了okhttp的网络框架,支持大文件上传下载,上传进度回调,下载进度回调,表单上传(多文件和多参数一起上传),链式调用,整合Gson,自动解析返回对象,支持Https和自签名证书,支持cookie自动管理,扩展了统一的上传管理和下载管理功能. //download the new app private void downLoadNewApp(NewVersion.XianzaishiRfBean version) { if (StringUtils.isEmpt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLOV6M.html" rel="bookmark">Android获取手机位置的实现代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了Android获取手机位置的方法,供大家参考,具体内容如下 1.项目Src下创建...service包,然后新建GPSService类 package com.zebra.mobilesafe.service; import java.io.IOException; import java.io.InputStream; import android.app.Service; import android.content.Intent; import android.cont			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZrxOb.html" rel="bookmark">Android 保存Fragment 切换状态实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言  一般频繁切换Fragment会导致频繁的释放和创建,如果Fragment比较臃肿体验就非常不好了,这里分享一个方法.  正文  一.应用场景   1.不使用ViewPager   2.不能用replace来切换Fragment,会导致Fragment释放(调用onDestroyView)  二.实现 1.xml &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; android:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwlvdb.html" rel="bookmark" class="title">PGA详解</a>
					<div>
						1.PGA是什么,包括哪些部分,PGA的作用? PGA是特定于进程的一段内存,是一个操作系统进程或线程专用的内存,不允许系统中的其它进程或线程访问,独立于SGA是server process的私有空间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4239M.html" rel="bookmark" class="title">java-Jsp&plus;Servlet怎么在form中指定要访问的servlet中的方法名</a>
					<div>
						问题描述 Jsp+Servlet怎么在form中指定要访问的servlet中的方法名 Jsp+Servlet怎么在form中指定要访问的servlet中的方法名,在Jsp中写了一个form,然后想指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV7akb.html" rel="bookmark" class="title">从3个方面聊聊2016年的UI设计新趋势</a>
					<div>
						  移动应用 1. 各平台 (Android/iOS/HTML5/Web) 的标准设计语言接近一致 部分原生控件上只存在风格上的差异,对用户无显著影响. Material Design 不会大兴其道, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8V8ob.html" rel="bookmark" class="title">搜索引擎营销必须要遵循的原则总结</a>
					<div>
						SEM营销因为是直面客户需求提供解决方案,所以是目前精准度最高的营销方式,有效的实施SEM工作是我们工作应该研究的重中之重,因为这个直接影响营销的效果的,今天我们就来探讨一下这个问题. SEM同行都清 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX2JLb.html" rel="bookmark" class="title">WIN2000 SERVER安全配置服务器手册&lpar;4&rpar;</a>
					<div>
						server|安全|服务器 SQL SERVER是NT平台上用的最多的数据库系统,但是它的安全问题也必须引起重视.数据库中往往存在着最有价值的信息,一旦数据被窃后果不堪设想. 及时更新补丁程序.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeDY8p.html" rel="bookmark" class="title">有关jsp在windows下的配置及连接SQLServer数据库的详解</a>
					<div>
						js|server|sqlserver|window|数据|数据库|详解 最近在学习jsp,有关jsp的运行环境的配置问题着实让我费了不少功夫,环境配置好了,连接SQL Sever 2000数据库时又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxQ9Qp.html" rel="bookmark" class="title">db pool的简单的例子</a>
					<div>
						public class OracleConnectionManager {        private DBConnectionManager connMgr;    private final  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNDBNz.html" rel="bookmark" class="title">PHP技巧：PHP脚本编程中的文件系统函数库</a>
					<div>
						basename: 返回不含路径的文件字符串. chgrp: 改变文件所属的群组. chmod: 改变文件的属性. chown: 改变文件的拥有者. clearstatcache: 清除文件状态快取. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1qqxM.html" rel="bookmark" class="title">AD配置教程：关闭域客户端防火墙</a>
					<div>
						当域客户端开启防火墙的时候,有时候会妨碍远程桌面,或一些其他应用 我们可以通过域策略来进行关闭防火墙 这里我找到两个办法来关闭! 打开相应的组策略-计算机配置-策略-Windows设置-安全设置-系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0r38z.html" rel="bookmark" class="title">如何让QQ也具有MSN的手写板功能</a>
					<div>
						我们知道MSN具有手写板功能,点击输入消息框上的标签,就可以使用鼠标来随意涂鸦,可以给好友发送自己画的图片,或是搞笑的表情去骚扰一下好友,感觉非常有趣,但是QQ却一直不具备该功能,不免让人有些许的遗憾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxx2rb.html" rel="bookmark" class="title">学Silverlight 2系列（3）：界面布局</a>
					<div>
						本文为系列文章第三篇,学习Silverlight 2中的界面布局,Silverlight 2 中新增加了Grid和Panel两个布局容器,使得界面布局更加的强大和灵活. Canvas面板 Canvas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKN3xp.html" rel="bookmark" class="title">Fireworks动态元件的基本制作及高级运用教程</a>
					<div>
						本例为Fireworks技巧实例教程,主要讲解动态元件的创建方法,教程从介绍动态元件的概念.创建一个基本的Fireworks动态元件到运用JSF代码的高级运用均有讲解,希望能给朋友们带来帮助~~ 首先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4N90p.html" rel="bookmark" class="title">加密和解密ASP&period;NET配置文件&lpar;Web&period;config&rpar;</a>
					<div>
						首先添加引用: using System.Web.Configuration; 加密操作如下: PRivate void ProtectSection(string sectionName, stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P3WAM.html" rel="bookmark" class="title">Fireworks制作一个水晶羽毛笔图标</a>
					<div>
						效果图: 路径制作这么一个图形,然后拉渐变 复制一个在上面,稍微偏移些,如图拉渐变 加滤镜 加高光:也是复制一份,用'刀'切割一半 制作笔: 制作出笔尖与笔杆中间的骨线 复制一个,用&quot;刀&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6wr3z.html" rel="bookmark" class="title">网吧网络管理软件漏洞查找方法</a>
					<div>
						  1.新建一个文件,如aa.reg,文件内容如下 REGEDIT4 [HKEY_CURRENT_USERSoftwareMicrosoft WindowsCurrentVersion Policie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGLkqb.html" rel="bookmark" class="title">惠普hp CLJ2840、2820怎么更换炭粉盒？</a>
					<div>
						  惠普hp CLJ2840.2820更换炭粉盒方法 1. 推动扫描仪.释放按钮以打开扫描仪组件. 2. 打开顶盖,垂直向上提起成像鼓,然后将粉盒取出,以便更换粉盒. 3.确保正确的打印碳粉盒插槽处在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3onvgb.html" rel="bookmark" class="title">关于xml外部实体引用，浏览器打开xml被引用的实体不会显示出来</a>
					<div>
						问题描述 关于xml外部实体引用,浏览器打开xml被引用的实体不会显示出来 http://blog.csdn.net/mannhello/article/details/6368885 这个是我摘出网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaqykz.html" rel="bookmark" class="title">逻辑回归那些事&mdash;使用牛顿法解决实际问题</a>
					<div>
						更多深度文章,请关注云计算频道:https://yq.aliyun.com/cloud 前言 在本篇博客中,我们要介绍的是牛顿法的原理,并且将之应用到实际的逻辑回归问题中.逻辑回归的主要知识点包括伯努 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjR9Vp.html" rel="bookmark" class="title">idea&plus;maven导入web项目后，tomcat无报错，无日志输出，启动失败，求大神！</a>
					<div>
						问题描述 idea+maven导入web项目后,tomcat无报错,无日志输出,启动失败,求大神! 模块之间的依赖关系可以从这个pom中看出来 把这三个子模块的编译结果都输出到platform的web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRWjEz.html" rel="bookmark" class="title">lucene全文检索小问题</a>
					<div>
						问题描述 在全文检索中,在创建索引文件的时候,如果类(javaBean)有引用的类,我要检索引用类中的内容是否有匹配的,这种情况怎么办呢. 解决方案 可能我没有很明白你的意思, 只好尝试回答了luce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJak5p.html" rel="bookmark" class="title">java集合框架03&mdash;&mdash;ArrayList和源码分析</a>
					<div>
						   上一章学习了Collection的架构,并阅读了部分源码,这一章开始,我们将对Collection的具体实现进行详细学习.首先学习List.而ArrayList又是List中最为常用的,因此本章 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnWjaM.html" rel="bookmark" class="title">自iPhone 6起 苹果移动芯片不再依赖第三方图形技术</a>
					<div>
						苹果A10处理器 北京时间10月27日消息,据外媒报道,硬件评测网站Real World Technologies高管大卫·坎特(David Kanter)称,经过多年招聘图形技术工程师后,苹果已经逐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBJeBz.html" rel="bookmark" class="title">消费者可以足不出户通过当当网购买到正品原装台湾货</a>
					<div>
						7月5日,当当网宣布正式独家引入台湾东森购物,以&quot;台湾馆&quot;(taiwan.dangdang.com)形式上线,至此,消费者可以足不出户通过当当网购买到正品原装台湾货. 据了解,此次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBNWqz.html" rel="bookmark" class="title">ios-iOS中API的授权问题，扇贝的获取例句接口</a>
					<div>
						问题描述 iOS中API的授权问题,扇贝的获取例句接口 调用扇贝获取例句的API接口需要先得到授权,他的文档的看不太明白,求大神给个全教程.急用,谢谢. 解决方案 一般流程就是看看他登录需要什么认证, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB3LmM.html" rel="bookmark" class="title">輸入錯誤網址，彈出錯誤頁面</a>
					<div>
						问题描述 如http://tw.yahoo.com/aaaaaaaa彈出錯誤頁面這功能怎做 解决方案 解决方案二:customErrors是怎樣用解决方案三:更改IIS的404错误配置解决方案四:引用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeov2jM.html" rel="bookmark" class="title">javascript-求JS高手解决个关于JS对象的问题！</a>
					<div>
						问题描述 求JS高手解决个关于JS对象的问题! 例如(见谅我这个化学渣渣): 我从后台数据取出了一组JSON数据:K {val:19} Ca{val:20} Na{val:11} M{val:12}. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7X1Oz.html" rel="bookmark" class="title">string-在给JTextArea添加滚动条是想只有竖直滚动条，看看下面的代码有什么问题</a>
					<div>
						问题描述 在给JTextArea添加滚动条是想只有竖直滚动条,看看下面的代码有什么问题 import javax.swing.JPanel; import javax.swing.JFrame; im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QjOmp.html" rel="bookmark" class="title">网吧会出现硬盘id相同的问题？</a>
					<div>
						问题描述 网吧会出现硬盘id相同的问题? 游戏开发,为了限制多开,通过硬盘id来限制同一台电脑的游戏号一起玩.后来出现同一网吧的玩家里面硬盘id经常一样导致影响正常玩家.为什么网吧会出现硬盘id相同的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV72Amb.html" rel="bookmark" class="title">写个服务器程序，OnStart方式里面不能写死循环吗？</a>
					<div>
						问题描述 写个服务器程序,OnStart方式里面不能写死循环吗?protectedoverridevoidOnStart(string[]args){boolk1=false;while(true){ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEKjPp.html" rel="bookmark" class="title">电商论道：网络营销推广重在执行力和心态</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 最近,有好多网络推广的新人朋友加我 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
